﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;

namespace Client.Interfaces
{
    internal interface IChatView
    {
        string Log { get; set; }
        string Title { get; set; }

        void CloseWindow();
        void Alert(string message);
        void Ready();
        void FileReceived(Stream stream, string username, string filename);
    }
}
