﻿using System;
using System.Collections.Generic;
using Client.Chat;
using Global.Impl.Server;

namespace Client.Interfaces
{
    internal interface IMainController : IDisposable
    {
        string Username { get; }
        string Password { get; }
        List<ChatSession> ChatSessions { get; set; }

        void LoginSucces(string username, string password);
        void Start();
        void Close();
        void LeftChat(string _endpoint);
        void CreateChatSession(ChatRequest request);
    }
}
