﻿using Global.Interfaces.Server;
using System.Runtime.Serialization;

namespace Global.Impl.Server
{
    [DataContract]
    public class ChatRequest : IChatRequest
    {
        #region IChatRequest Members
        [DataMember]
        public string Requestor { get; set; }

        [DataMember]
        public string Endpoint { get; set; }

        [DataMember]
        public string Password { get; set; }
        #endregion

        public ChatRequest(string requestor, string endpoint, string password)
        {
            Requestor = requestor;
            Endpoint = endpoint;
            Password = password;
        }
    }
}
