﻿using System.Collections.Generic;
using System.ServiceModel;
using Global.Impl.Server;

namespace Global.Interfaces.Server
{
    [ServiceContract(Namespace="sMessenger")]
    public interface IsMessengerServer
    {
        [OperationContract]
        List<Buddy> GetBuddyList(string username);

        [OperationContract]
        List<ChatRequest> GetChatList(string username);

        [OperationContract]
        void AddChat(string username, string buddyToChatTo, string chatGuid, string chatPassword);

        [OperationContract]
        bool Login(string username, string password, string port);
    }

}
